gi-gtk3-3.0.44: Gtk 3.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.ImageAccessible

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype ImageAccessible = ImageAccessible (ManagedPtr ImageAccessible)
- class (GObject o, IsDescendantOf ImageAccessible o) => IsImageAccessible o
- toImageAccessible :: (MonadIO m, IsImageAccessible o) => o -> m ImageAccessible

# Exported types

newtype ImageAccessible Source #

Memory-managed wrapper type.

Constructors

ImageAccessible (ManagedPtr ImageAccessible) |

#### Instances

Instances details

Eq ImageAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ImageAccessible Methods (==) :: ImageAccessible -> ImageAccessible -> Bool Source # (/=) :: ImageAccessible -> ImageAccessible -> Bool Source #
GObject ImageAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ImageAccessible
ManagedPtrNewtype ImageAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ImageAccessible Methods toManagedPtr :: ImageAccessible -> ManagedPtr ImageAccessible Source #
TypedObject ImageAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ImageAccessible Methods glibType :: IO GType Source #
HasParentTypes ImageAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ImageAccessible
IsGValue (Maybe ImageAccessible) Source # | Convert `ImageAccessible` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.ImageAccessible Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe ImageAccessible -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe ImageAccessible) Source #
type ParentTypes ImageAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ImageAccessible type ParentTypes ImageAccessible = '[WidgetAccessible, Accessible, Object, Object, Component, Image]

class (GObject o, IsDescendantOf ImageAccessible o) => IsImageAccessible o Source #

Type class for types which can be safely cast to `ImageAccessible`, for instance with `toImageAccessible`.

#### Instances

Instances details

(GObject o, IsDescendantOf ImageAccessible o) => IsImageAccessible o Source # |
Instance details Defined in GI.Gtk.Objects.ImageAccessible

toImageAccessible :: (MonadIO m, IsImageAccessible o) => o -> m ImageAccessible Source #

Cast to `ImageAccessible`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addRelationship, bindProperty, bindPropertyFull, connectWidgetDestroyed, contains, forceFloating, freezeNotify, getv, grabFocus, initialize, isFloating, notify, notifyByPspec, notifyStateChange, peekParent, ref, refAccessibleAtPoint, refAccessibleChild, refRelationSet, refSink, refStateSet, removeFocusHandler, removePropertyChangeHandler, removeRelationship, runDispose, scrollTo, scrollToPoint, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleId, getAlpha, getAttributes, getData, getDescription, getExtents, getHelpText, getImageDescription, getImageLocale, getImagePosition, getImageSize, getIndexInParent, getLayer, getMdiZorder, getNAccessibleChildren, getName, getObjectLocale, getParent, getPosition, getProperty, getQdata, getRole, getSize, getWidget.

#### Setters

setAccessibleId, setData, setDataFull, setDescription, setExtents, setHelpText, setImageDescription, setName, setParent, setPosition, setProperty, setRole, setSize, setWidget.